// pages/activityDetail/activityDetail.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    url: 'http://192.168.0.111:8888/volunteer/',
    imgUrl: 'http://192.168.0.111:8888/volunteer/route/file/downloadfile/true/',
    dataMap: {},
    token: ''
  },
  getToken: function() {
    var self = this;
    return new Promise(resolve =>{
      wx.getStorage({
        key: 'token',
        success(res) {
          self.setData({
            token: res.data
          })
          return resolve();
        }
      })
    })
  },
  goSign: function () {
    wx.navigateTo({
      url: '../activitySign/activitySign'
    })
  },
  getDetail: function(id) {
    var self = this;
    wx.request({
      url: self.data.url + 'wxminiapp/volunteerservice/getvolunteerservicebyid/' + id,
      header: {
        'token': self.data.token
      },
      success: function(res) {
        if('200' == res.statusCode) {
          res.data.photo = self.data.imgUrl + res.data.photo;
          self.setData({
            dataMap: res.data
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var id = options.id;
    this.getToken().then(result => {
      this.getDetail(id);
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})